function mainMatlab_LC_AFS()

restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
addpath(sourcespath);

close all;
clearvars; format long
clc

Flag_AnalysisType = 0;  % 0 for ev, 1 for ec

% simulare
if (Flag_AnalysisType == 0)
    snp_info.ptype = 'Y';
    fileNameFinal = 'res\FWeceBC_voltExc\LC_Y_RI'; % extensions will be added
else
    snp_info.ptype = 'Z';
    fileNameFinal = 'res\FWeceBC_crtExc\LC_Z_RI'; % extensions will be added
end

snp_info.pformatfile = 'RI';
snp_info.Z0 = 50;
snp_info.nports = 1; % no of terminals
snp_info.tol_poles = 1e-2;

[frequency_data, avfitParams] =  set_infofreqAFS_vf_LC();
[frequency_response,frequency_data,trfct] = ...
    afs_vf_onelab(frequency_data,snp_info,avfitParams,Flag_AnalysisType); %old sys2snp_vf3
trfct

% write all the solutions
pformat = 'RI';
Z0 = 50;
if frequency_data.AFS.flag
    snp_filename = strcat(fileNameFinal,'_onelab_AFSvfitlinf_',...
        sprintf('%f',frequency_data.AFS.err),'_erVF',...
        sprintf('%f',avfitParams.tol ),'.s',num2str(snp_info.nports),'p');
else
    snp_filename = strcat(fileNameFinal,'.s1p');
end
writesnp_v2(snp_filename, frequency_data.frequency_points, ...
    frequency_response, snp_info.ptype, ...
    frequency_data.frequency_unit,snp_info.Z0,pformat);
if (Flag_AnalysisType == 0)
    system(strcat('move *.s1p res\FWeceBC_voltExc\.'));
    system(strcat('move *.cir res\FWeceBC_voltExc\.'));
else
    system(strcat('move *.s1p res\FWeceBC_crtExc\.'));
    system(strcat('move *.cir res\FWeceBC_crtExc\.'));
end

end

