function [frequency_data, avfitParams] =  set_infofreqAFS_vf_LC()

frequency_data.frequency_unit = 'Hz';
frequency_data.frequency_points = linspace(1000,80000,2);
frequency_data.AFS.flag = (1 == 1);
frequency_data.AFS.max = 1000;
frequency_data.AFS.err = 0.01;
frequency_data.AFS.type = 'vfitlinf';  % 'lin', 'poly','vfit' sau 'vfitlinf'
method = 'onelab';

% avfit params
avfitParams = [];
avfitParams.minOrder = 1;
avfitParams.maxOrder = 40;
avfitParams.tol = 1e-4;
avfitParams.noCalls = 2;
avfitParams.typeTransferFunction = 2; %1 for Strictly Proper, 2 for Proper, 3 for Improper
avfitParams.graphicsVfit = 'no'; %'yes', otherwise treated as 'no'
avfitParams.stopCriterion = 0; %0 - components for what it is (codestar way), 1 - Frobenius S, 2 - Components S
% only 0 tested for the moment.

avfitParams.fileout = 'test.cir';
avfitParams.idx = 0; % useful only when combined with sys2snp
avfitParams.save.flag = 'no'; % compute and save vfit approximation in many points during iterations; 'yes' or 'no'
avfitParams.save.nopoints = 100; % no of poins for the computation of vfit approximation
avfitParams.save.type = 'lin'; % how these points are placed: lin or otherwise log in the freq range
avfitParams.save.flagMA = 'no';
avfitParams.save.flagMAinDB = 'no';
avfitParams.startFrom = 'lowestOrder';

end