clc;
clear all;
close all hidden
% prepare path to use chamy without gui
restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
problempath = 'D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\Results_log\01_Ishape2Danalitic_vs_onelab\results9mar22_adaptedMesh';
addpath(sourcespath);
addpath(problempath);
chdir(problempath);

if 1 == 0
    % comparison of Z files (from crt exc) and computation of L
    snp_ref_pathname = '../../01_Ishape2Danalitic/out_analitic_FW_100pct_forReference/';
    snp_ref_filename = '2Drectangle_xy_FW_Z.s1p';
    snp_an_pathname{1} = './res/FWeceBC_crtExc/';
    snp_an_filename{1} = 'test_Z_RI.s1p';
    snpdiff(snp_ref_filename,snp_ref_pathname,snp_an_filename,snp_an_pathname);
    chdir(snp_an_pathname{1});
    snp_imag_over_omega('',snp_an_filename{1},'' );
    chdir(problempath);
end


if 1 == 0
    % comparison of Y files (from voltage exc)
    snp_ref_pathname = '../../01_Ishape2Danalitic/out_analitic_FW_100pct_forReference/';
    snp_ref_filename = '2Drectangle_xy_FW_Y.s1p';
    snp_an_pathname{1} = './res/FWeceBC_voltExc/';
    snp_an_filename{1} = 'test_Y_RI.s1p';
    snpdiff(snp_ref_filename,snp_ref_pathname,snp_an_filename,snp_an_pathname);
end

if 1 == 1
    % comparison of RL files 
    snp_ref_pathname = '../../01_Ishape2Danalitic/out_analitic_FW_100pct_forReference/';
    snp_ref_filename = '2Drectangle_xy_FW_Z_imag_over_omega.s1p';  % this has to be computed, see the first if above
    snp_an_pathname{1} = './res/FWeceBC_crtExc/';
    snp_an_filename{1} = 'test_Z_RI_imag_over_omega.s1p';
    snpdiff(snp_ref_filename,snp_ref_pathname,snp_an_filename,snp_an_pathname);
    
end

if 1 == 0
    % conversions to other formats
    snp_an_pathname{1} = './res/FWeceBC_crtExc/';
    snp_an_filename{1} = 'test_Z_RI.s1p';
    chdir(snp_an_pathname{1});
    snp2snp('',snp_an_filename{1},'S','DB',strcat(snp_an_filename{1},'_S_DB.s1p'));
    snp2snp('',snp_an_filename{1},'S','MA',strcat(snp_an_filename{1},'_S_MA.s1p'));
    snp2snp('',snp_an_filename{1},'Z','MA',strcat(snp_an_filename{1},'_Z_MA.s1p'));
    chdir(problempath);
    

end
