function mainMatlab_Ishape2d()

% see readme.txt - to set the path to the onelab exe files
%
close all;
clearvars; format long
clc

fmin = 1e7;   % Hz
fmax = 100e9; % Hz

NbFreqs = 20;
%freqs()=LogSpace[Log10[fmin],Log10[fmax],nop];
freqs = linspace(fmin,fmax,NbFreqs);

solve_Ishape2D(freqs); % this is what I need to be able to link to AFS

% to use snpdiff_tool you should set the path to the matlab folder
% sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
% addpath(sourcespath);

end

function solve_Ishape2D(freqs)

NbFreqs = length(freqs);
Flag_AnalysisType = 0;  % 0 for ev, 1 for ec
system(sprintf('D:/Gabriela/OneLab/onelab-Windows64/gmsh Ishape2d.geo -setnumber Flag_AnalysisType %d -2 -v 3 ', Flag_AnalysisType));
for k=1:NbFreqs
    disp(k);
    disp(freqs(k));
    freqsk = freqs(k);
    if k == 1
        firstFreq = 1;
    else
        firstFreq = 0;
    end
    system(sprintf(['D:/Gabriela/OneLab/onelab-Windows64/getdp Ishape2d.pro -setnumber Freq %g freqs %g -setnumber Flag_AnalysisType %d -setnumber firstFreq %d -solve FullWave_E_ece -v 3 -pos TransferMatrix'],...
        freqsk, freqsk, Flag_AnalysisType, firstFreq));
end

end