function rectangle_analitic_FW(geom,mat,freq,files,idxfig)

a = geom.a;
l = geom.l;
h = geom.h;
sig = mat.sig;
miu = mat.mu;
fvect = freq.fvect;
outpath = files.outpath;
problempath = files.problempath;
chdir(outpath);
epsi = mat.eps;

%%
omega = 2*pi*fvect;
gamma_cplx_patrat = 1i*omega*miu.*(sig + 1i*omega*epsi);
gamma_cplx = sqrt(gamma_cplx_patrat);
% radicalul din nr complexe - cu grija!

% I = 1 (valoarea efectiva a curentului0

gamma_a = gamma_cplx*a;

P_ap_cplx_lineic = (l/(2*h))*(gamma_cplx./(sig + 1j*omega*epsi)).*(cosh(gamma_a)./sinh(gamma_a));
R_h = real(P_ap_cplx_lineic);
X_h = imag(P_ap_cplx_lineic); 
L_h = X_h./omega;

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,R_h,'--m','Linewidth',2);
xlabel('f [Hz]');
ylabel('R [\Omega]');
title('Rezistance - from FW, analytic');
grid on;
%ylim([4e-3,1e-1]);
%xlim([1e-1,100e9]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

idxfig = idxfig+1;
figure(idxfig); clf;
loglog(fvect,L_h,'--k','Linewidth',2);

xlabel('f [Hz]');
ylabel('L [H]');
title('Inductance -  from FW, analytic');
grid on;
%ylim([1e-13,1e-12]);
print(strcat('fig',num2str(idxfig),'.jpg'),'-djpeg');
print(strcat('fig',num2str(idxfig),'.eps'),'-depsc');

Zfw = R_h + 1i.*2*pi.*fvect.*L_h;
Yfw = 1./Zfw;


filename = files.rootname;
snpZ = strcat(filename,'Z.s1p');
writesnp_v2(snpZ, fvect, Zfw, 'Z', 'Hz', 50, 'RI');
snpY = strcat(filename,'Y.s1p');
writesnp_v2(snpY, fvect, Yfw, 'Y', 'Hz', 50, 'RI');
% snp2snp('',snp_filename,'Z','RI',snpZ);
snp_imag_over_omega('',snpZ,'' );
chdir(problempath);


end
