restoredefaultpath;
sourcespath = genpath('D:\Gabriela\OneLab\mytests\ECEforOnelab\ECEinOnelab_E_2021\MatlabSources');
addpath(sourcespath);

close all;
clearvars; format long
clc

if(1) % reference
    Rcircuit = 7.2*1e-3;
    Lcircuit = 10.1*1e-6;
    Ccircuit = 33.4*1e-6;
    snp_filename = './res/FWeceBC_voltExc/Yrlc_ref_RI.s1p';
else   
    Rcircuit = 2.661975301683734e-02
    Lcircuit = 9.186370920237750e-06
    Ccircuit = 3.386501847611159e-05
    
    Rcircuitold =  9.898567725426889e-03 ;
    Lcircuitold = 8.773104680774193e-06 ;
    Ccircuitold = 3.324042515562749e-05;
    snp_filename = './res/FWeceBC_voltExc/Yrlc_extractionFromMOR_RI_VFIT.s1p';
end

fmin = 1e3; %Hz
fmax = 80e3; %Hz
nop = 100;
fvect = linspace(fmin,fmax,nop)';
Yrlc_complex_ref = 1./(Rcircuit + 1i*2*pi*fvect*Lcircuit + 1./(1i*2*pi*fvect*Ccircuit));

frequency_points = fvect;
frequency_response = Yrlc_complex_ref ;
ptype = 'Y';
frequency_unit = 'Hz';
pformat = 'RI';
writesnp_v2hz(snp_filename, frequency_points, frequency_response, ptype, frequency_unit,50,pformat);