clc;
clear all;
myfontsize=14;
myfontsizelegend=14;
set(0,'DefaultAxesFontName', 'Helvetica')
set(0,'DefaultAxesFontSize', myfontsize)
set(0,'DefaultLineLineWidth', 2);
%close all hidden
% prepare path to use chamy without gui
restoredefaultpath;
sourcespath = genpath('D:\Gabriela\onelab\mytests\ECEforOnelab\ECE_allTests\MatlabSources');
problempath = 'D:\Gabriela\OneLab\mytests\ECEforOnelab\ECE_allTests\Results_log\CL_fromRuth\results25oct2021_test99c_1000_80000_afs';
addpath(sourcespath);
addpath(problempath);
chdir(problempath);

snp_pathname = './res/FWeceBC_voltExc/';
snp_filename = 'vfit_final_iter4_ord4_Y_MA.s1p';

[ptype,pformatfile,frequency_points,value,Z0,freq_unit,nports] = ...
    loadsnp(strcat(snp_pathname,snp_filename));
[nn,mm,ll] = size(value);

if strcmpi(freq_unit,'HZ')
    %
elseif strcmpi(freq_unit,'KHZ')
    frequency_points = frequency_points*1e3;
elseif strcmpi(freq_unit,'MHZ')
    frequency_points = frequency_points*1e6;
elseif strcmpi(freq_unit,'GHZ')
    frequency_points = frequency_points*1e9;
else
    frequency_points = frequency_points/(2*pi);
end;

freq_unit = 'Hz';

modul = value(:,1);
[maxvalue,idxmax] = max(modul);
frez = frequency_points(idxmax)
LoriC = 1/(2*pi*frez)^2

Rcircuit = 7.2*1e-3;
Lcircuit = 10.1*1e-6;
Ccircuit = 33.4*1e-6;
frezref = 1/sqrt(Lcircuit*Ccircuit)/(2*pi)
er_frez = abs(frezref-frez)/frezref*100

Rextracted = 1/abs(value(idxmax))
 % Referinta
erR = abs(Rextracted-Rcircuit)/Rcircuit*100

valueZ = 1./value;
Rextracted2 = real(valueZ(1))
erR = abs(Rextracted2-Rcircuit)/Rcircuit*100


Cextracted = (2*pi*frequency_points(2)*(LoriC)-1/(2*pi*frequency_points(2)))/imag(valueZ(2))
erC = abs(Cextracted-Ccircuit)/Ccircuit*100
    
Lextracted = imag(valueZ(end))/(2*pi*frequency_points(end) - 1/(2*pi*frequency_points(end)*LoriC))
erL = abs(Lextracted-Lcircuit)/Lcircuit*100

    